MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< SkinManager > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< SkinManager >:
[legend]

## Public Member Functions
ResourceSkin * | getSkin (const std::string &_name)
bool | load (const std::string &_file)
void | loadOldSkinFormat (xml::ElementPtr _node, const std::string &_file, Version _version, const std::string &_tag)

## Detailed Description

### template<>
class MyGUI::MemberObsolete< SkinManager >

Definition at line 530 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ getSkin()

ResourceSkin * MyGUI::MemberObsolete< SkinManager >::getSkin | ( | const std::string & | _name | ) |

Deprecated:
  " is deprecated, use : ResourceSkin* SkinManager::getByName(const std::string& _name)"

Definition at line 993 of file MyGUI_BackwardCompatibility.cpp.

## ◆ load()

bool MyGUI::MemberObsolete< SkinManager >::load | ( | const std::string & | _file | ) |

Deprecated:
  " is deprecated, use : bool ResourceManager::load(const std::string& _file)"

Definition at line 997 of file MyGUI_BackwardCompatibility.cpp.

## ◆ loadOldSkinFormat()

void MyGUI::MemberObsolete< SkinManager >::loadOldSkinFormat | ( | xml::ElementPtr | _node,
|  | const std::string & | _file,
|  | Version | _version,
|  | const std::string & | _tag
| ) |  |

Definition at line 1001 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp